# Rotate a dashboard publication public ID

`POST /api/v1/workspaces/{workspace}/dashboard-publications/{publication}/rotate`

Operation ID: `rotateDashboardPublication`  
Effect: `write`  
Confirmation: `conditional`

## Authorization

- mode: `privilege`
- privilege: `MANAGE_PUBLICATIONS`

## Parameters

| Name | In | Required | Schema | Description |
| --- | --- | --- | --- | --- |
| `workspace` | path | true | `{"type":"string"}` |  |
| `publication` | path | true | `{"type":"string"}` |  |
| `Idempotency-Key` | header | true | `{"maxLength":200,"minLength":1,"type":"string"}` |  |

## Responses

| Status | Content | Description |
| --- | --- | --- |
| `200` | `application/json` (DashboardPublicationResponse) | The request has succeeded. |
| `400` | `application/problem+json` (ProblemDetails) | The server could not understand the request due to invalid syntax. |
| `401` | `application/problem+json` (ProblemDetails) | Access is unauthorized. |
| `403` | `application/problem+json` (ProblemDetails) | Access is forbidden. |
| `404` | `application/problem+json` (ProblemDetails) | The server cannot find the requested resource. |
| `409` | `application/problem+json` (ProblemDetails) | The request conflicts with the current state of the server. |
| `412` | `application/problem+json` (ProblemDetails) | Precondition failed. |
| `413` | `application/problem+json` (ProblemDetails) | Client error |
| `415` | `application/problem+json` (ProblemDetails) | Client error |
| `422` | `application/problem+json` (ProblemDetails) | Client error |
| `429` | `application/problem+json` (ProblemDetails) | Client error |
| `500` | `application/problem+json` (ProblemDetails) | Server error |
| `502` | `application/problem+json` (ProblemDetails) | Server error |
| `503` | `application/problem+json` (ProblemDetails) | Service unavailable. |
